Subject: RE: Active Route - OT

From: "Natale, Jonathan" <[email-masked]>
Date: Wed, 2 Oct 2002 13:33:15 -0400

"What if your AS is not fully meshed as Hans pointed out?"

Then you are mis-configured.

Also, I agree with Curtis--redistributing BGP into IGP is a bad idea.  A
much better idea is to turn off synchronization (rumor was that it will
be/is off by default in newer IOS).  Juniper does not even have a synch
concept (a good thing).

-----Original Message-----
From: Abarbanel, Benjamin [mailto:[email-masked]] 
Sent: Wednesday, October 02, 2002 12:41 PM
To: [email-masked]'; [email-masked]
Cc: BGP mailing list
Subject: RE: Active Route 

Curtis

> -----Original Message-----
> From: Curtis Villamizar [mailto:[email-masked]]
> Sent: Wednesday, October 02, 2002 12:33 PM
> To: [email-masked]
> Cc: BGP mailing list
> Subject: Re: Active Route 
> 
> 
> 
> In message <[email-masked]>, 
> [email-masked] writ
> es:
> > 
> > Then I redistribute the routes into IGP, and at the same 
> time I forward
> > the routes via IBGP (not full mesh) to all of the other AS 
> border routers (bu
> > t
> > to no other routers).
> 
> This is an incredibly bad idea.  Only the BGP next_hop needs to be in
> the IGP.
> 
> > At the other side of my AS, I allow the border router 
> (router B) to pass thos
> > e
> > routes learned via IBGP (form router A) to the (next) AS 
> via an EBGP connecti
> > on.
> > (I am using the  "synchronise BGP = TRUE" option.)
> 
> Synchronise implies that the BGP next_hop is reachable via the IGP
> *not* the BGP prefix itself.
> 
> There is never a need to put the destination prefix into the IGP if it
> is carried in IBGP except for the case where you are originating a
> prefix and you want it to go out with specific attributes such as
> specific BGP communities or indicate through BGP communities some
> special action such as punching a hole in an aggregate.
> 

What if your AS is not fully meshed as Hans pointed out? 

The only way to get external BGP routes to non-BGP (IGP only) routers is by
redistributing them via IGP, and let IGP flood them, right?

> > Now in this fairly straightforward example, the router B 
> will forward routes
> > learned via IBGP to the next AS using EBGP, whereas for 
> those routes the
> > reachability in the FIB is taken care of by IGP (who has 
> typically a higher
> > preference in ther FIB then IBGP).
> > 
> > So, in theory the rule : "one must focus on the rule that a 
> BGP speaker
> > advertises to its peers  in neighboring ASs only those 
> routes that it itself
> > uses." is broken, since it is clearly an IGP route which in the FIB.
> > 
> > ---
> > Hans de Vleeschouwer
> 
> The only way to fully address all of the instances of this sort of
> objection is to add to the spec "Most BGP implementations allow the
> user to do things that violate the protocol specification in minor
> ways, sometimes with valid uses, but also sometimes with questionalble
> uses and sometimes with dire consequences".  Although this statement
> is true, I don't don't think we need to add this.
> 
This although is sometimes true, is bordering on being rediculous for a 
spec. I agree, you do not want to add this or the reader will stop reading
the spec.

Ben

---

From: [email-masked]
Date: Thu, 03 Oct 2002 15:08:34 +0200

All,

thanks for your feedback on this.  Now I tend to be  more in favor of  leaving
the text  and the restriction in the RFC.  The reasons i see for this are:

1. The effective use of policy is endangered. Supose a bgp speaker announces to
its external peer reachability for a route, and indicates that this route
passes through AS 1,2 and 3, while at the same time the FIB of the same router
would actually send the traffic so that in the end it follows another path
passing through a different set of ASses.  If this is allowed why would we even
bother to pass along attributes? (Also I learned of some people trying to make
tools that use the BGP RIB to figure out how traffic is flowing in the
internet).

2. The restriction as it is stated does not really say HOW this restriction is
to be met. E.g. in my (admittedly very bad) example if we are sure that the IGP
will in the end guide the IP traffic through the AS in such a way that it is in
line with the advertised BGP route, no harm is done. The same is valid for a
static route. The most easy way to guarantee the restriction is to check that
the route in the FIB is in fact the BGP-owned route being advertised, but this
might not be the only possible way to guarantee this.

thanks
---
Hans De Vleeschouwer

> "Natale, Jonathan" wrote:
>